net.minecraft.world

## Class ChunkCache

- java.lang.Object
- - net.minecraft.world.ChunkCache

- All Implemented Interfaces:
    IBlockAccess

      public class ChunkCache
      extends java.lang.Object
      implements IBlockAccess

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkCache(World par1World, int par2, int par3, int par4, int par5, int par6, int par7, int par8)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `extendedLevelsInChunkCache()`
    `BiomeGenBase` | `getBiomeGenForCoords(int par1, int par2)`
    `Block` | `getBlock(int p_147439_1_, int p_147439_2_, int p_147439_3_)`
    `int` | `getBlockMetadata(int par1, int par2, int par3)`
    `int` | `getHeight()`
    `int` | `getLightBrightnessForSkyBlocks(int par1, int par2, int par3, int par4)`
    `int` | `getSkyBlockTypeBrightness(EnumSkyBlock par1EnumSkyBlock, int par2, int par3, int par4)`
    `int` | `getSpecialBlockBrightness(EnumSkyBlock par1EnumSkyBlock, int par2, int par3, int par4)`
    `TileEntity` | `getTileEntity(int p_147438_1_, int p_147438_2_, int p_147438_3_)`
    `Vec3Pool` | `getWorldVec3Pool()` Deprecated.
    `boolean` | `isAirBlock(int p_147437_1_, int p_147437_2_, int p_147437_3_)`
    `int` | `isBlockProvidingPowerTo(int par1, int par2, int par3, int par4)`
    `boolean` | `isSideSolid(int x, int y, int z, ForgeDirection side, boolean _default)` FORGE: isSideSolid, pulled up from `World`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkCache

          public ChunkCache(World par1World,
                    int par2,
                    int par3,
                    int par4,
                    int par5,
                    int par6,
                    int par7,
                    int par8)

  - ### Method Detail

    - #### extendedLevelsInChunkCache

          public boolean extendedLevelsInChunkCache()

      Specified by:
        `extendedLevelsInChunkCache` in interface `IBlockAccess`

    - #### getBlock

          public Block getBlock(int p_147439_1_,
                       int p_147439_2_,
                       int p_147439_3_)

      Specified by:
        `getBlock` in interface `IBlockAccess`

    - #### getTileEntity

          public TileEntity getTileEntity(int p_147438_1_,
                                 int p_147438_2_,
                                 int p_147438_3_)

      Specified by:
        `getTileEntity` in interface `IBlockAccess`

    - #### getLightBrightnessForSkyBlocks

          public int getLightBrightnessForSkyBlocks(int par1,
                                           int par2,
                                           int par3,
                                           int par4)

      Specified by:
        `getLightBrightnessForSkyBlocks` in interface `IBlockAccess`

    - #### getBlockMetadata

          public int getBlockMetadata(int par1,
                             int par2,
                             int par3)

      Specified by:
        `getBlockMetadata` in interface `IBlockAccess`

    - #### getBiomeGenForCoords

          public BiomeGenBase getBiomeGenForCoords(int par1,
                                          int par2)

      Specified by:
        `getBiomeGenForCoords` in interface `IBlockAccess`

    - #### getWorldVec3Pool

          @Deprecated
          public Vec3Pool getWorldVec3Pool()

      Deprecated.
      Specified by:
        `getWorldVec3Pool` in interface `IBlockAccess`

    - #### isAirBlock

          public boolean isAirBlock(int p_147437_1_,
                           int p_147437_2_,
                           int p_147437_3_)

      Specified by:
        `isAirBlock` in interface `IBlockAccess`

    - #### getSkyBlockTypeBrightness

          public int getSkyBlockTypeBrightness(EnumSkyBlock par1EnumSkyBlock,
                                      int par2,
                                      int par3,
                                      int par4)

    - #### getSpecialBlockBrightness

          public int getSpecialBlockBrightness(EnumSkyBlock par1EnumSkyBlock,
                                      int par2,
                                      int par3,
                                      int par4)

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `IBlockAccess`

    - #### isBlockProvidingPowerTo

          public int isBlockProvidingPowerTo(int par1,
                                    int par2,
                                    int par3,
                                    int par4)

      Specified by:
        `isBlockProvidingPowerTo` in interface `IBlockAccess`

    - #### isSideSolid

          public boolean isSideSolid(int x,
                            int y,
                            int z,
                            ForgeDirection side,
                            boolean _default)

      Description copied from interface: `IBlockAccess`
      FORGE: isSideSolid, pulled up from `World`
      Specified by:
        `isSideSolid` in interface `IBlockAccess`
      Parameters:
        `x` - X coord
        `y` - Y coord
        `z` - Z coord
        `side` - Side
        `_default` - default return value
      Returns:
        if the block is solid on the side